{********************************************************}
{                                                        }
{                 Zeos Database Objects                  }
{           Oracle8 components registration              }
{                                                        }
{       Copyright (c) 1999-2001 Sergey Seroukhov         }
{    Copyright (c) 1999-2002 Zeos Development Group      }
{                                                        }
{********************************************************}

unit ZOraSqlReg;

interface

{$IFNDEF LINUX}
{$INCLUDE ..\Zeos.inc}
{$ELSE}
{$INCLUDE ../Zeos.inc}
{$ENDIF}

{$IFNDEF LINUX}
{$INCLUDE ..\ZeosDef.inc}
{$ELSE}
{$INCLUDE ../ZeosDef.inc}
{$ENDIF}

procedure Register;

implementation

uses Classes, ZOraSqlCon, ZOraSqlTr, ZOraSqlQuery
  {$IFDEF WITH_PROPEDIT}, ZOraSqlProp
  {$IFDEF VERCLX}
     ,DesignEditors, DesignIntf
  {$ELSE}
    {$IFDEF VER150ABOVE}
      ,DesignIntf, DesignEditors
    {$ELSE}
      ,DsgnIntf
    {$ENDIF}
  {$ENDIF}
{$ENDIF};

{**********************************************************}

{ Register component in a component palette }
procedure Register;
begin
  RegisterComponents(ZEOS_DB_PALETTE, [TZZOraSqlDatabase]);
(*
{$IFDEF WITH_PROPEDIT}
  RegisterPropertyEditor(TypeInfo(string), TZZOraSqlDatabase, 'Database',
    TZZOraSqlDatabaseNameProperty);
{$ENDIF}
*)

  RegisterComponents(ZEOS_DB_PALETTE, [TZZOraSqlTransact]);

  RegisterComponents(ZEOS_DB_PALETTE, [TZZOraSqlTable]);
  RegisterComponents(ZEOS_DB_PALETTE, [TZZOraSqlQuery]);
{$IFDEF WITH_PROPEDIT}
  RegisterPropertyEditor(TypeInfo(string), TZZOraSqlTable, 'TableName',
    TZZOraSqlTableNameProperty);
{$ENDIF}
end;

end.
